Upsert Creative Workbench
PUT
/v1/policy/canvas/creative-workbench
const url = 'https://example.com/v1/policy/canvas/creative-workbench';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"default","proposal_id":"example","yaml_text":""}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/policy/canvas/creative-workbench \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "default", "proposal_id": "example", "yaml_text": "" }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CreativeWorkbenchUpsertIn
object
tenant_id
Tenant Id
string
proposal_id
required
Proposal Id
string
yaml_text
Yaml Text
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CreativeWorkbenchOut
object
tenant_id
required
Tenant Id
string
canvas_key
Canvas Key
string
yaml_text
required
Yaml Text
string
graph
Graph
object
key
additional properties
any
updated_by
Updated By
string
updated_at
Updated At
string
document
Document
Example
{ "canvas_key": "creative-workbench", "updated_by": "", "updated_at": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}